curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreement_number": "AGMT-0001",
"agreement_start_date": "2025-04-10T00:00:00Z",
"agreement_end_date": "2025-10-10T00:00:00Z",
"driver": 103,
"vehicle": 7883
}
'{
"agreement_number": "AGMT-0001",
"agreement_start_date": "2025-04-10T00:00:00-04:00",
"agreement_end_date": "2025-10-10T00:00:00-04:00",
"driver": 103,
"vehicle": 7883,
"parent_agreement": null
}Creates a single driver agreement based on a particular vehicle and driver .
curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreement_number": "AGMT-0001",
"agreement_start_date": "2025-04-10T00:00:00Z",
"agreement_end_date": "2025-10-10T00:00:00Z",
"driver": 103,
"vehicle": 7883
}
'{
"agreement_number": "AGMT-0001",
"agreement_start_date": "2025-04-10T00:00:00-04:00",
"agreement_end_date": "2025-10-10T00:00:00-04:00",
"driver": 103,
"vehicle": 7883,
"parent_agreement": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier or number for the agreement.
"AGMT-0001"
Start date of the driver agreement (ISO 8601 format).
"2025-04-10T00:00:00Z"
End date of the driver agreement (ISO 8601 format).
"2025-10-10T00:00:00Z"
ID of the driver involved in the agreement.
103
ID of the vehicle assigned to the driver agreement.
7883
Driver Agreement Created Successfully
Unique identifier for the created agreement.
"AGMT-0001"
Start date of the created agreement.
"2025-04-10T00:00:00-04:00"
End date of the created agreement.
"2025-10-10T00:00:00-04:00"
ID of the driver involved in the created agreement.
103
ID of the vehicle linked to the created agreement.
7883
Parent agreement ID if this is a sub-agreement; otherwise null.
null
Was this page helpful?